net.sf.jasperreports.engine

## Interface JRConditionalStyle

- All Superinterfaces:
    java.lang.Cloneable, JRBoxContainer, JRCloneable, JRParagraphContainer, JRPenContainer, JRStyle, JRStyleContainer
  All Known Implementing Classes:
    JRBaseConditionalStyle, JRDesignConditionalStyle

      public interface JRConditionalStyle
      extends JRStyle

  Version:
    $Id: JRConditionalStyle.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Ionut Nedelcu (ionutned@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRStyle

      `PROPERTY_EVALUATION_TIME_ENABLED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getConditionExpression()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyle

      `getBackcolor, getConditionalStyles, getFillValue, getFontName, getFontsize, getFontSize, getForecolor, getHorizontalAlignmentValue, getLineBox, getLinePen, getLineSpacingValue, getMarkup, getModeValue, getName, getOwnBackcolor, getOwnFillValue, getOwnFontName, getOwnFontsize, getOwnFontSize, getOwnForecolor, getOwnHorizontalAlignmentValue, getOwnLineSpacingValue, getOwnMarkup, getOwnModeValue, getOwnPattern, getOwnPdfEncoding, getOwnPdfFontName, getOwnRadius, getOwnRotationValue, getOwnScaleImageValue, getOwnVerticalAlignmentValue, getPattern, getPdfEncoding, getPdfFontName, getRadius, getRotationValue, getScaleImageValue, getVerticalAlignmentValue, isBlankWhenNull, isBold, isDefault, isItalic, isOwnBlankWhenNull, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, setBackcolor, setBlankWhenNull, setBlankWhenNull, setBold, setBold, setFill, setFontName, setFontSize, setFontSize, setFontSize, setForecolor, setHorizontalAlignment, setItalic, setItalic, setLineSpacing, setMarkup, setMode, setPattern, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setRadius, setRadius, setRotation, setScaleImage, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline, setVerticalAlignment`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer

      `getDefaultLineColor`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer

      `getDefaultLineColor, getDefaultLineWidth`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRParagraphContainer

      `getParagraph`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getConditionExpression

          JRExpression getConditionExpression()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com